Bug 456185 - Dependency errors with latest set of updates
Dependency errors with latest set of updates
Status: CLOSED DUPLICATE of bug 455949
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-21 20:42 EDT by Jonathan Underwood
Modified: 2008-07-23 11:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 11:58:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2008-07-21 20:42:39 EDT
Description of problem:
The currently pushed firefox/nspluginwrapper/xulrunner stuff pulls in a load of
i386 dependencies, and the dependencies for xulrunner are messed up:
# yum -y update
Loaded plugins: dellsysidplugin, refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package dmraid.x86_64 0:1.0.0.rc14-8.fc9 set to be updated
---> Package totem.x86_64 0:2.23.2-5.fc9 set to be updated
---> Package claws-mail-plugins-dillo.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package claws-mail-plugins-acpi-notifier.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package nspluginwrapper.i386 0:1.1.0-3.fc9 set to be updated
--> Processing Dependency: libcurl.so.4 for package: nspluginwrapper
---> Package totem-gstreamer.x86_64 0:2.23.2-5.fc9 set to be updated
---> Package yelp.x86_64 0:2.22.1-4.fc9 set to be updated
---> Package claws-mail-plugins-rssyl.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package claws-mail-plugins-vcalendar.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package system-config-language.noarch 0:1.3.1-2.fc9 set to be updated
---> Package claws-mail-plugins-cachesaver.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package claws-mail.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package claws-mail-plugins-smime.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package xen-libs.x86_64 0:3.2.0-14.fc9 set to be updated
---> Package claws-mail-plugins-spamassassin.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package cpio.x86_64 0:2.9-8.fc9 set to be updated
---> Package binutils.x86_64 0:2.18.50.0.6-4.fc9 set to be updated
---> Package claws-mail-plugins-perl.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package claws-mail-plugins-newmail.x86_64 0:3.5.0-1.fc9 set to be updated
--> Processing Dependency: gecko-libs = 1.9 for package: gxine
---> Package firefox.x86_64 0:3.0.1-1.fc9 set to be updated
---> Package totem-xine.x86_64 0:2.23.2-5.fc9 set to be updated
---> Package claws-mail-plugins-bogofilter.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package claws-mail-plugins-spam-report.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package totem-nautilus.x86_64 0:2.23.2-5.fc9 set to be updated
---> Package claws-mail-plugins-tnef.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package claws-mail-plugins-fetchinfo.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package claws-mail-plugins.x86_64 0:3.5.0-1.fc9 set to be updated
--> Processing Dependency: claws-mail-plugins-archive = 3.5.0-1.fc9 for package:
claws-mail-plugins
---> Package claws-mail-plugins-attachwarner.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package libvirt.x86_64 0:0.4.4-2.fc9 set to be updated
---> Package selinux-policy.noarch 0:3.3.1-78.fc9 set to be updated
---> Package claws-mail-plugins-gtkhtml2-viewer.x86_64 0:3.5.0-1.fc9 set to be
updated
---> Package claws-mail-plugins-att-remover.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package selinux-policy-targeted.noarch 0:3.3.1-78.fc9 set to be updated
---> Package claws-mail-plugins-notification.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package xulrunner.x86_64 0:1.9.0.1-1.fc9 set to be updated
---> Package libvirt-python.x86_64 0:0.4.4-2.fc9 set to be updated
---> Package nspluginwrapper.x86_64 0:1.1.0-3.fc9 set to be updated
---> Package claws-mail-plugins-synce.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package claws-mail-plugins-pgp.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package claws-mail-plugins-mailmbox.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package totem-mozplugin.x86_64 0:2.23.2-5.fc9 set to be updated
--> Running transaction check
---> Package xulrunner.i386 0:1.9-0.60.beta5.fc9 set to be updated
--> Processing Dependency: libsmime3.so for package: xulrunner
--> Processing Dependency: libgconf-2.so.4 for package: xulrunner
--> Processing Dependency: libsqlite3.so.0 for package: xulrunner
--> Processing Dependency: libssl3.so for package: xulrunner
--> Processing Dependency: libnss3.so(NSS_3.7) for package: xulrunner
--> Processing Dependency: libbonobo-activation.so.4 for package: xulrunner
--> Processing Dependency: libnssutil3.so(NSSUTIL_3.12) for package: xulrunner
--> Processing Dependency: libgnome-2.so.0 for package: xulrunner
--> Processing Dependency: libnss3.so(NSS_3.9) for package: xulrunner
--> Processing Dependency: libnss3.so(NSS_3.5) for package: xulrunner
--> Processing Dependency: libgnomevfs-2.so.0 for package: xulrunner
--> Processing Dependency: libbz2.so.1 for package: xulrunner
--> Processing Dependency: libnss3.so(NSS_3.6) for package: xulrunner
--> Processing Dependency: libbonobo-2.so.0 for package: xulrunner
--> Processing Dependency: libnss3.so for package: xulrunner
--> Processing Dependency: libnssutil3.so for package: xulrunner
--> Processing Dependency: libsmime3.so(NSS_3.9.3) for package: xulrunner
--> Processing Dependency: libnss3.so(NSS_3.9.3) for package: xulrunner
--> Processing Dependency: libORBit-2.so.0 for package: xulrunner
--> Processing Dependency: libnss3.so(NSS_3.11.7) for package: xulrunner
--> Processing Dependency: libnss3.so(NSS_3.12) for package: xulrunner
--> Processing Dependency: libsmime3.so(NSS_3.4) for package: xulrunner
--> Processing Dependency: libsmime3.so(NSS_3.4.1) for package: xulrunner
--> Processing Dependency: libsmime3.so(NSS_3.3) for package: xulrunner
--> Processing Dependency: libnss3.so(NSS_3.10) for package: xulrunner
--> Processing Dependency: libssl3.so(NSS_3.2) for package: xulrunner
--> Processing Dependency: libsmime3.so(NSS_3.6) for package: xulrunner
--> Processing Dependency: libhunspell.so.1 for package: xulrunner
--> Processing Dependency: libnss3.so(NSS_3.2) for package: xulrunner
--> Processing Dependency: libnss3.so(NSS_3.3) for package: xulrunner
--> Processing Dependency: libnss3.so(NSS_3.9.2) for package: xulrunner
--> Processing Dependency: libdbus-glib-1.so.2 for package: xulrunner
--> Processing Dependency: libsmime3.so(NSS_3.2) for package: xulrunner
--> Processing Dependency: libssl3.so(NSS_3.4) for package: xulrunner
--> Processing Dependency: libnss3.so(NSS_3.4) for package: xulrunner
--> Processing Dependency: libnss3.so(NSS_3.11.1) for package: xulrunner
---> Package claws-mail-plugins-archive.x86_64 0:3.5.0-1.fc9 set to be updated
---> Package libcurl.i386 0:7.18.2-1.fc9 set to be updated
--> Processing Dependency: libidn.so.11 for package: libcurl
--> Running transaction check
---> Package nss.i386 0:3.12.0.3-0.9.1.fc9 set to be updated
---> Package dbus-glib.i386 0:0.74-8.fc9 set to be updated
---> Package bzip2-libs.i386 0:1.0.5-2.fc9 set to be updated
---> Package libbonobo.i386 0:2.22.0-2.fc9 set to be updated
---> Package GConf2.i386 0:2.22.0-1.fc9 set to be updated
---> Package libgnome.i386 0:2.22.0-3.fc9 set to be updated
---> Package gnome-vfs2.i386 0:2.22.0-1.fc9 set to be updated
--> Processing Dependency: libavahi-client.so.3 for package: gnome-vfs2
--> Processing Dependency: libattr.so.1 for package: gnome-vfs2
--> Processing Dependency: libhal-storage.so.1 for package: gnome-vfs2
--> Processing Dependency: libacl.so.1 for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1 for package: gnome-vfs2
--> Processing Dependency: libavahi-common.so.3 for package: gnome-vfs2
--> Processing Dependency: libacl.so.1(ACL_1.0) for package: gnome-vfs2
--> Processing Dependency: libhal.so.1 for package: gnome-vfs2
---> Package ORBit2.i386 0:2.14.12-3.fc9 set to be updated
--> Processing Dependency: libIDL-2.so.0 for package: ORBit2
---> Package libidn.i386 0:0.6.14-7 set to be updated
---> Package hunspell.i386 0:1.2.1-7.fc9 set to be updated
---> Package sqlite.i386 0:3.5.6-2.fc9 set to be updated
--> Running transaction check
---> Package hal-libs.i386 0:0.5.11-2.fc9 set to be updated
---> Package avahi.i386 0:0.6.22-10.fc9 set to be updated
--> Processing Dependency: libdaemon.so.0 for package: avahi
---> Package libattr.i386 0:2.4.41-1.fc9 set to be updated
---> Package avahi-glib.i386 0:0.6.22-10.fc9 set to be updated
---> Package libIDL.i386 0:0.8.10-2.fc9 set to be updated
---> Package libacl.i386 0:2.2.47-1.fc9 set to be updated
--> Running transaction check
---> Package libdaemon.i386 0:0.12-3.fc9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 claws-mail              x86_64     3.5.0-1.fc9      updates           3.5 M
     replacing  claws-mail-plugins-pdfviewer.x86_64 3.4.0-1.fc9.1

Updating:
 binutils                x86_64     2.18.50.0.6-4.fc9  updates           3.1 M
 claws-mail-plugins      x86_64     3.5.0-1.fc9      updates            10 k
 claws-mail-plugins-acpi-notifier  x86_64     3.5.0-1.fc9      updates         
  43 k
 claws-mail-plugins-att-remover  x86_64     3.5.0-1.fc9      updates            25 k
 claws-mail-plugins-attachwarner  x86_64     3.5.0-1.fc9      updates          
 38 k
 claws-mail-plugins-bogofilter  x86_64     3.5.0-1.fc9      updates            28 k
 claws-mail-plugins-cachesaver  x86_64     3.5.0-1.fc9      updates            23 k
 claws-mail-plugins-dillo  x86_64     3.5.0-1.fc9      updates            20 k
 claws-mail-plugins-fetchinfo  x86_64     3.5.0-1.fc9      updates            28 k
 claws-mail-plugins-gtkhtml2-viewer  x86_64     3.5.0-1.fc9      updates       
   226 k
 claws-mail-plugins-mailmbox  x86_64     3.5.0-1.fc9      updates            71 k
 claws-mail-plugins-newmail  x86_64     3.5.0-1.fc9      updates            24 k
 claws-mail-plugins-notification  x86_64     3.5.0-1.fc9      updates          
 85 k
 claws-mail-plugins-perl  x86_64     3.5.0-1.fc9      updates            51 k
 claws-mail-plugins-pgp  x86_64     3.5.0-1.fc9      updates            56 k
 claws-mail-plugins-rssyl  x86_64     3.5.0-1.fc9      updates            98 k
 claws-mail-plugins-smime  x86_64     3.5.0-1.fc9      updates            32 k
 claws-mail-plugins-spam-report  x86_64     3.5.0-1.fc9      updates            33 k
 claws-mail-plugins-spamassassin  x86_64     3.5.0-1.fc9      updates          
 35 k
 claws-mail-plugins-synce  x86_64     3.5.0-1.fc9      updates            29 k
 claws-mail-plugins-tnef  x86_64     3.5.0-1.fc9      updates            50 k
 claws-mail-plugins-vcalendar  x86_64     3.5.0-1.fc9      updates           292 k
 cpio                    x86_64     2.9-8.fc9        updates           185 k
 dmraid                  x86_64     1.0.0.rc14-8.fc9  updates           172 k
 firefox                 x86_64     3.0.1-1.fc9      updates           9.3 M
 libvirt                 x86_64     0.4.4-2.fc9      updates           1.2 M
 libvirt-python          x86_64     0.4.4-2.fc9      updates            86 k
 nspluginwrapper         x86_64     1.1.0-3.fc9      updates           151 k
 nspluginwrapper         i386       1.1.0-3.fc9      updates           161 k
 selinux-policy          noarch     3.3.1-78.fc9     updates           443 k
 selinux-policy-targeted  noarch     3.3.1-78.fc9     updates           1.8 M
 system-config-language  noarch     1.3.1-2.fc9      updates           110 k
 totem                   x86_64     2.23.2-5.fc9     updates           2.4 M
 totem-gstreamer         x86_64     2.23.2-5.fc9     updates            70 k
 totem-mozplugin         x86_64     2.23.2-5.fc9     updates           274 k
 totem-nautilus          x86_64     2.23.2-5.fc9     updates            36 k
 totem-xine              x86_64     2.23.2-5.fc9     updates            53 k
 xen-libs                x86_64     3.2.0-14.fc9     updates           157 k
 xulrunner               x86_64     1.9.0.1-1.fc9    updates           8.7 M
 yelp                    x86_64     2.22.1-4.fc9     updates           876 k
Installing for dependencies:
 GConf2                  i386       2.22.0-1.fc9     fedora            1.6 M
 ORBit2                  i386       2.14.12-3.fc9    fedora            183 k
 avahi                   i386       0.6.22-10.fc9    fedora            245 k
 avahi-glib              i386       0.6.22-10.fc9    fedora             17 k
 bzip2-libs              i386       1.0.5-2.fc9      updates            38 k
 claws-mail-plugins-archive  x86_64     3.5.0-1.fc9      updates            62 k
 dbus-glib               i386       0.74-8.fc9       updates           165 k
 gnome-vfs2              i386       2.22.0-1.fc9     fedora            1.1 M
 hal-libs                i386       0.5.11-2.fc9     updates            65 k
 hunspell                i386       1.2.1-7.fc9      updates           186 k
 libIDL                  i386       0.8.10-2.fc9     fedora             88 k
 libacl                  i386       2.2.47-1.fc9     fedora             22 k
 libattr                 i386       2.4.41-1.fc9     fedora             13 k
 libbonobo               i386       2.22.0-2.fc9     fedora            475 k
 libcurl                 i386       7.18.2-1.fc9     updates           145 k
 libdaemon               i386       0.12-3.fc9       fedora             26 k
 libgnome                i386       2.22.0-3.fc9     fedora            977 k
 libidn                  i386       0.6.14-7         fedora            211 k
 nss                     i386       3.12.0.3-0.9.1.fc9  updates           1.1 M
 sqlite                  i386       3.5.6-2.fc9      fedora            252 k
 xulrunner               i386       1.9-0.60.beta5.fc9  fedora            8.9 M

Transaction Summary
=============================================================================
Install     22 Package(s)         
Update      40 Package(s)         
Remove       0 Package(s)         

Total size: 50 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  package xulrunner-1.9-1.fc9.x86_64 (which is newer than
xulrunner-1.9-0.60.beta5.fc9.i386) is already installed

Error Summary
-------------


.... notice it is trying to pull in an old version of xulrunner.i386. No idea why.
Comment 1 Naveed Hasan 2008-07-22 00:48:20 EDT
This is a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=455949
Comment 2 Matěj Cepl 2008-07-22 07:40:22 EDT

*** This bug has been marked as a duplicate of 455949 ***
Comment 3 Jonathan Underwood 2008-07-22 15:04:41 EDT
I don't think it is - this has nothing to do with gnome-python2-gtkmozembed
Comment 4 Will Woods 2008-07-23 11:58:27 EDT
No, this is definitely the same bug. The error messages are confusing but the
new xulrunner fixes the dep errors. 

I tested it myself - installing the new xulrunner from Fedora 9 updates-testing
on x86_64 works as expected.

*** This bug has been marked as a duplicate of 455949 ***

Note You need to log in before you can comment on or make changes to this bug.